Redmine - Defect #7894

Gitosis not wanting to work
2011-03-16 20:44 - Denis Kovalenko

Status: Closed Start date: 2011-03-16
Priority: High Due date:

Assignee: % Done: 100%
Category: Permissions and roles Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description
| set up gitosis in redmine for the instructions, but | couldn't make it work gitosis.

Could you please help ?

Errno: :ENOENT (No such file or directory - /usr/local/www/redmine/tmp/redmine_gitosis_1300304305/g
itosis/keydir/admin-denis_kovalenko-.pub) :

vendor/plugins/redmine_gitosis/app/models/gitosis_observer.rb:22:in “update_repositories’

vendor/plugins/redmine_gitosis/app/models/gitosis_observer.rb:13:in “after_save'

/usr/local/lib/ruby/1.8/observer.rb:185:in "notify_observers'

/usr/local/lib/ruby/1.8/observer.rb:184:in "“each'

/usr/local/lib/ruby/1l.8/observer.rb:184:in "notify_observers'

app/models/user.rb:139:in ‘try_to_login'

app/controllers/account_controller.rb:147:in “password_authentication'

app/controllers/account_controller.rb:142:in "“authenticate_user'

app/controllers/account_controller.rb:30:in "login'

passenger (3.0.2) lib/phusion_passenger/rack/request_handler.rb:96:in ‘process_request'

passenger (3.0.2) lib/phusion_passenger/abstract_request_handler.rb:513:in "accept_and_process_n
ext_request'

passenger (3.0.2) lib/phusion_passenger/abstract_request_handler.rb:274:in "main_loop'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in "start_reque
st_handler’'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in "~send'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “handle_spaw
n_application'’

passenger (3.0.2) lib/phusion_passenger/utils.rb:479:in "safe_fork'

passenger (3.
n_application'’

(@]

.2) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in "handle_spaw

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in "_ _send_ '

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in "server_main_loop'
passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:206:in "~start_synchronously'
passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:180:1in "start'

passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in ~start'
passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:219:in " spawn_rails_application'
passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:132:in "lookup_or_add'
passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:214:in "~ spawn_rails_application'
passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:82:in "“synchronize'
passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:79:in "“synchronize'
passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:213:in "~ spawn_rails_application'
passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:132:in "~ spawn_application’
passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:275:1in “~handle_spawn_application'
passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in "_ send_ '

passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in "server_main_loop'
passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:206:in " start_synchronously'
passenger (3.0.2) helper-scripts/passenger-spawn-server:99

Rendering /usr/local/www/redmine/public/500.html (500 Internal Server Error)

Many Thenks.

2025-05-04 1/2




History

#1 - 2011-03-16 21:34 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Please contact the plugin author. We do not track plugins issues here, but Redmine core only.

#2 - 2011-03-16 21:54 - Denis Kovalenko
- % Done changed from 0 to 100

Thx.
